net.i2p.router.networkdb.kademlia

## Class LookupThrottler

- java.lang.Object
- - net.i2p.router.networkdb.kademlia.LookupThrottler

     class LookupThrottler
    extends Object

Count how often we have recently received a lookup request with the reply specified to go to a peer/TunnelId pair. This offers basic DOS protection but is not a complete solution. The reply peer/tunnel could be spoofed, for example. And a requestor could have up to 6 reply tunnels.

Since:
  0.7.11

### Constructor Summary

Constructors
Constructor and Description
`LookupThrottler()`

### Method Summary

Methods
`(package private) boolean` `shouldThrottle(Hash key, TunnelId id)` increments before checking

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupThrottler

    LookupThrottler()

### Method Detail

#### shouldThrottle

    boolean shouldThrottle(Hash key,
                         TunnelId id)

increments before checking

Parameters:
  `key` - non-null
  `id` - null if for direct lookups